from clarabot_nano.common.request.server_general import AdminReplaceSecretsRequest
from clarabot_nano.server.general.handler.admin.config_update.base import AbstractAdminConfigUpdateServerHandler


class ReplaceSecretsHandler(AbstractAdminConfigUpdateServerHandler):
    HANDLER_KEY = AdminReplaceSecretsRequest.TYPE_KEY

    def _create_config_update_request(self) -> dict:
        return {"_handler_key": "secrets"}

    def _log_message(self) -> str:
        return "Replace secrets"
